umbrello: Settings::GeneralState Class Reference

umbrello 2.39.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Public Attributes | List of all members
Settings::GeneralState Class Reference

`#include <optionstate.h>`

## Public Member Functions
| GeneralState ()
void | load ()
void | save ()

## Public Attributes
bool | undo
bool | tabdiagrams
bool | newcodegen
Uml::LayoutType::Enum | layoutType
bool | footerPrinting
bool | autosave
int | time
| old autosave time, kept for compatibility
int | autosavetime
QString | autosavesuffix
| Text input field for suffix of autosave.
bool | loadlast
Uml::DiagramType::Enum | diagram
Uml::ProgrammingLanguage::Enum | defaultLanguage
QString | lastFile
bool | uml2

## Constructor & Destructor Documentation

## ◆ GeneralState()

Settings::GeneralState::GeneralState | ( |  | ) |
| inline

## Member Function Documentation

## ◆ load()

void Settings::GeneralState::load | ( |  | ) |

## ◆ save()

void Settings::GeneralState::save | ( |  | ) |

## Member Data Documentation

## ◆ autosave

bool Settings::GeneralState::autosave

## ◆ autosavesuffix

QString Settings::GeneralState::autosavesuffix

Text input field for suffix of autosave.

## ◆ autosavetime

int Settings::GeneralState::autosavetime

## ◆ defaultLanguage

Uml::ProgrammingLanguage::Enum Settings::GeneralState::defaultLanguage

## ◆ diagram

Uml::DiagramType::Enum Settings::GeneralState::diagram

## ◆ footerPrinting

bool Settings::GeneralState::footerPrinting

## ◆ lastFile

QString Settings::GeneralState::lastFile

## ◆ layoutType

Uml::LayoutType::Enum Settings::GeneralState::layoutType

## ◆ loadlast

bool Settings::GeneralState::loadlast

## ◆ newcodegen

bool Settings::GeneralState::newcodegen

## ◆ tabdiagrams

bool Settings::GeneralState::tabdiagrams

## ◆ time

int Settings::GeneralState::time

old autosave time, kept for compatibility

## ◆ uml2

bool Settings::GeneralState::uml2

## ◆ undo

bool Settings::GeneralState::undo

The documentation for this class was generated from the following files:

- umbrello/optionstate.h
- umbrello/optionstate.cpp